JavaScript/jQuery TextArea Methods
beginUpdate()
Postpones rendering that can negatively affect performance until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
defaultOptions(rule)
Name | Type | Description |
---|---|---|
device | | |
Device parameters. |
options |
Options to be applied. |
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the TextArea UI component in an application executed on the desktop.
- DevExpress.ui.dxTextArea.defaultOptions({
- device: { deviceType: "desktop" },
- options: {
- // Here go the TextArea properties
- }
- });
You can also set rules for multiple device types:
- const devicesConfig = [
- { deviceType: 'desktop' },
- { deviceType: 'tablet' },
- { deviceType: 'phone' },
- ];
- devicesConfig.forEach(deviceConfig => {
- DevExpress.ui.dxTextArea.defaultOptions({
- device: deviceConfig,
- options: {
- // Here go the TextArea properties
- }
- });
- });
endUpdate()
Refreshes the UI component after a call of the beginUpdate() method.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the TextArea instance found in an element with the myTextArea
ID:
- // Modular approach
- import TextArea from "devextreme/ui/text_area";
- ...
- let element = document.getElementById("myTextArea");
- let instance = TextArea.getInstance(element) as TextArea;
- // Non-modular approach
- let element = document.getElementById("myTextArea");
- let instance = DevExpress.ui.dxTextArea.getInstance(element);
See Also
on(eventName, eventHandler)
Use this method to subscribe to one of the events listed in the Events section.
See Also
on(events)
Use this method to subscribe to several events with one method call. Available events are listed in the Events section.
See Also
registerKeyHandler(key, handler)
A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.
The key argument accepts one of the following values:
- "backspace"
- "tab"
- "enter"
- "escape"
- "pageUp"
- "pageDown"
- "end"
- "home"
- "leftArrow"
- "upArrow"
- "rightArrow"
- "downArrow"
- "del"
- "space"
- "F"
- "A"
- "asterisk"
- "minus"
A custom handler for a key cancels the default handler for this key.
See Also
repaint()
Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.
The repaint()
method re-initializes the component with new settings, resetting its state and history.
See Also
- reload() in DataSource | List
- refresh() in DataGrid | TreeList
If you have technical questions, please create a support ticket in the DevExpress Support Center.

Vue TextArea Methods
beginUpdate()
Postpones rendering that can negatively affect performance until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
defaultOptions(rule)
Name | Type | Description |
---|---|---|
device | | |
Device parameters. |
options |
Options to be applied. |
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the TextArea UI component in an application executed on the desktop.
- <template>
- <div>
- <DxTextArea id="textArea1" />
- <DxTextArea id="textArea2" />
- </div>
- </template>
- <script>
- import DxTextArea from "devextreme-vue/text-area";
- import TextArea from "devextreme/ui/text_area";
- TextArea.defaultOptions({
- device: { deviceType: "desktop" },
- options: {
- // Here go the TextArea properties
- }
- });
- export default {
- components: {
- DxTextArea
- }
- }
- </script>
You can also set rules for multiple device types:
- <template>
- <div>
- <DxTextArea />
- </div>
- </template>
- <script>
- import DxTextArea from "devextreme-vue/text-area";
- import TextArea from "devextreme/ui/text_area";
- const devicesConfig = [
- { deviceType: 'desktop' },
- { deviceType: 'tablet' },
- { deviceType: 'phone' },
- ];
- devicesConfig.forEach(deviceConfig => {
- TextArea.defaultOptions({
- device: deviceConfig,
- options: {
- // Here go the TextArea properties
- }
- });
- });
- export default {
- components: {
- DxTextArea
- }
- }
- </script>
dispose()
Use conditional rendering instead of this method:
- <template>
- <DxTextArea ...
- v-if="condition">
- </DxTextArea>
- </template>
- <script>
- import DxTextArea from 'devextreme-vue/text-area';
- export default {
- components: {
- DxTextArea
- }
- }
- </script>
endUpdate()
Refreshes the UI component after a call of the beginUpdate() method.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the TextArea instance found in an element with the myTextArea
ID:
- // Modular approach
- import TextArea from "devextreme/ui/text_area";
- ...
- let element = document.getElementById("myTextArea");
- let instance = TextArea.getInstance(element) as TextArea;
- // Non-modular approach
- let element = document.getElementById("myTextArea");
- let instance = DevExpress.ui.dxTextArea.getInstance(element);
See Also
on(eventName, eventHandler)
Use this method to subscribe to one of the events listed in the Events section.
See Also
on(events)
Use this method to subscribe to several events with one method call. Available events are listed in the Events section.
See Also
registerKeyHandler(key, handler)
A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.
The key argument accepts one of the following values:
- "backspace"
- "tab"
- "enter"
- "escape"
- "pageUp"
- "pageDown"
- "end"
- "home"
- "leftArrow"
- "upArrow"
- "rightArrow"
- "downArrow"
- "del"
- "space"
- "F"
- "A"
- "asterisk"
- "minus"
A custom handler for a key cancels the default handler for this key.
See Also
repaint()
Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.
The repaint()
method re-initializes the component with new settings, resetting its state and history.
See Also
- reload() in DataSource | List
- refresh() in DataGrid | TreeList
If you have technical questions, please create a support ticket in the DevExpress Support Center.